Syntax::Highlight::Engine::Kate::Convert::ToolKit(3pm)

NAME
Syntax::Highlight::Engine::Kate::Convert::ToolKit - helper routines, especially for generating highlight definitions from Kate's originals.

SYNOPSIS
  use Syntax::Highlight::Engine::Kate::Convert::ToolKit;

  $hlfile = "/some/path/some-lang.xml";
  $toolkit = new Syntax::Highlight::Engine::Kate::Convert::ToolKit();
  # $toolkit->outcmd = sub { ... };  # optionally redefine bare output
  $outfile = $toolkit->register($hlfile);
  $toolkit->pmGenerate($outfile);

DESCRIPTION
ToolKit module carries helper routines, notably conversion from native highlight definitions of Kate to the ones as used by Syntax::Highlight::Engine::Kate.

For convenience, such conversion process is wrapped into provided hl-kate-convert script.

This module requires XML::Dumper and XML::TokeParser which are not listed as dependencies of Syntax::Highlight::Engine::Kate.